Bug 35592 - Expose a WebDocument::firstPartyForCookies property
Summary: Expose a WebDocument::firstPartyForCookies property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Enhancement
Assignee: Eric Roman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-02 11:22 PST by Wan-Teh Chang
Modified: 2010-03-13 00:31 PST (History)
3 users (show)

See Also:


Attachments
Patch (not generated properly) (999 bytes, patch)
2010-03-02 11:23 PST, Wan-Teh Chang
no flags Details | Formatted Diff | Diff
Proposed patch (1.51 KB, patch)
2010-03-03 15:09 PST, Wan-Teh Chang
no flags Details | Formatted Diff | Diff
Proposed patch (with link to bug report) (1.57 KB, patch)
2010-03-03 15:19 PST, Wan-Teh Chang
fishd: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Proposed patch (with correct pathnames) (1.71 KB, patch)
2010-03-12 10:50 PST, Wan-Teh Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wan-Teh Chang 2010-03-02 11:22:33 PST
This bug proposes that we add a firstPartyForCookies method
to WebDocument to expose the firstPartyForCookies property of
the underlying Document.  This was suggested by Darin Fisher
in Chromium code review http://codereview.chromium.org/601038.

The attached patch does that.  I'm having problem running the
prepare-ChangeLog script, so the patch was not generated properly.
Here is the prepare-ChangeLog error I got:

$ /d/chrome-nss-static/src/third_party/WebKit/WebKitTools/Scripts/prepare-Chang
eLog  --name="Wan-Teh Chang" --email=wtc@google.com WebKit/chromium
  Running status to find changed, added, or removed files.
?       WebKit\chromium\WebKit.sln
?       WebKit\chromium\webkit.vcproj
?       WebKit\chromium\webkit_unit_tests.vcproj.GOOGLE.wtc.user
?       WebKit\chromium\webkit_unit_tests.vcproj
?       WebKit\chromium\webkit.vcproj.GOOGLE.wtc.user
  Reviewing diff to determine which lines changed.
  Extracting affected function names from source files.
  Change author: Wan-Teh Chang <wtc@google.com>.
  Running 'svn update' to update ChangeLog files.
Can't use an undefined value as filehandle reference at /d/chrome-nss-static/src
/third_party/WebKit/WebKitTools/Scripts/prepare-ChangeLog line 328.
Comment 1 Wan-Teh Chang 2010-03-02 11:23:15 PST
Created attachment 49820 [details]
Patch (not generated properly)
Comment 2 Darin Fisher (:fishd, Google) 2010-03-02 12:22:21 PST
Try running prepare-ChangeLog from within the WebKit/chromium directory.
Comment 3 Wan-Teh Chang 2010-03-03 15:09:10 PST
Created attachment 49953 [details]
Proposed patch

Eric Roman generated a patch properly.
Comment 4 Darin Fisher (:fishd, Google) 2010-03-03 15:14:53 PST
Comment on attachment 49953 [details]
Proposed patch

> Index: ChangeLog
> ===================================================================
> --- ChangeLog	(revision 55480)
> +++ ChangeLog	(working copy)
> @@ -1,3 +1,13 @@
> +2010-03-03  Eric Roman  <eroman@chromium.org>
> +
> +        Reviewed by NOBODY (OOPS!).
> +
> +        Add a firstPartyForCookies() property to WebDocument.

actually, this needs to include a link back to this bug.  sorry for
wasting cycles.  please add this link before committing.

r=me otherwise (cq- because this patch needs an edit before it can
be committed)
Comment 5 Wan-Teh Chang 2010-03-03 15:19:23 PST
Created attachment 49954 [details]
Proposed patch (with link to bug report)

No problem.  Here it is.
Comment 6 WebKit Commit Bot 2010-03-03 23:45:17 PST
Comment on attachment 49954 [details]
Proposed patch (with link to bug report)

Rejecting patch 49954 from commit-queue.

Failed to run "['/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', '--reviewer', 'Darin Fisher', '--force']" exit_code: 1
Last 500 characters of output:
-------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 5
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Index: src/WebDocument.cpp
|===================================================================
|--- src/WebDocument.cpp	(revision 55462)
|+++ src/WebDocument.cpp	(working copy)
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored

Full output: http://webkit-commit-queue.appspot.com/results/332304
Comment 7 Adam Barth 2010-03-04 05:44:29 PST
Comment on attachment 49954 [details]
Proposed patch (with link to bug report)

This patch is incorrectly based in $WEBKIT/WebKit/chromium instead of in $WEBKIT itself.  It will need to be landed manually.
Comment 8 WebKit Commit Bot 2010-03-05 14:03:01 PST
Comment on attachment 49953 [details]
Proposed patch

Cleared Darin Fisher's review+ from obsolete attachment 49953 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 9 Wan-Teh Chang 2010-03-12 10:50:44 PST
Created attachment 50609 [details]
Proposed patch (with correct pathnames)

I fixed the pathnames in the patch.  Please review again.
Sorry to waste your time.
Comment 10 Adam Barth 2010-03-12 10:58:09 PST
Comment on attachment 50609 [details]
Proposed patch (with correct pathnames)

No worries.
Comment 11 WebKit Commit Bot 2010-03-13 00:31:19 PST
Comment on attachment 50609 [details]
Proposed patch (with correct pathnames)

Clearing flags on attachment: 50609

Committed r55952: <http://trac.webkit.org/changeset/55952>
Comment 12 WebKit Commit Bot 2010-03-13 00:31:24 PST
All reviewed patches have been landed.  Closing bug.